# Uses of Class
org.jmol.script.ScriptContext

Packages that use ScriptContext
Package
Description
org.jmol.api
org.jmol.console
org.jmol.script
org.jmol.scriptext
org.jmol.thread
org.jmol.viewer

## Uses of ScriptContext in org.jmol.api

Methods in org.jmol.api that return ScriptContext
Modifier and Type
Method
Description
`ScriptContext`
JmolScriptEvaluator.`checkScriptSilent(String strScript)`
`ScriptContext`
JmolScriptEvaluator.`getScriptContext(String why)`
`ScriptContext`
JmolScriptEvaluator.`getThisContext()`
Methods in org.jmol.api with parameters of type ScriptContext
Modifier and Type
Method
Description
`void`
JmolParallelProcessor.`addProcess(String name, ScriptContext context)`
`boolean`
JmolScriptEvaluator.`evalParallel(ScriptContext context, ShapeManager shapeManager)`
`void`
JmolScriptEditorInterface.`notifyContext(ScriptContext property, Object[] data)`

## Uses of ScriptContext in org.jmol.console

Fields in org.jmol.console declared as ScriptContext
Modifier and Type
Field
Description
`protected ScriptContext`
ScriptEditor.`parsedContext`
Methods in org.jmol.console with parameters of type ScriptContext
Modifier and Type
Method
Description
`void`
ScriptEditor.`notifyContext(ScriptContext context, Object[] data)`

## Uses of ScriptContext in org.jmol.script

Fields in org.jmol.script declared as ScriptContext
Modifier and Type
Field
Description
`ScriptContext`
ScriptContext.`parentContext`
`ScriptContext`
ScriptParam.`thisContext`
Methods in org.jmol.script that return ScriptContext
Modifier and Type
Method
Description
`ScriptContext`
ScriptEval.`checkScriptSilent(String script)`
a method for just checking a script
`ScriptContext`
ScriptEval.`getScriptContext(String why)`
`ScriptContext`
ScriptEval.`getThisContext()`
Methods in org.jmol.script with parameters of type ScriptContext
Modifier and Type
Method
Description
`void`
ScriptParallelProcessor.`addProcess(String name, ScriptContext context)`
`boolean`
ScriptEval.`evalParallel(ScriptContext context, ShapeManager shapeManager)`
`int`
ScriptEval.`getLinenumber(ScriptContext c)`
`void`
ScriptEval.`restoreScriptContext(ScriptContext context, boolean isPopContext, boolean isFlowCommand, boolean statementOnly)`

## Uses of ScriptContext in org.jmol.scriptext

Methods in org.jmol.scriptext with parameters of type ScriptContext
Modifier and Type
Method
Description
`boolean`
CmdExt.`evalParallel(ScriptContext context, ShapeManager shapeManager)`
used for TRY command

## Uses of ScriptContext in org.jmol.thread

Fields in org.jmol.thread declared as ScriptContext
Modifier and Type
Field
Description
`protected ScriptContext`
JmolThread.`sc`

## Uses of ScriptContext in org.jmol.viewer

Methods in org.jmol.viewer that return ScriptContext
Modifier and Type
Method
Description
`ScriptContext`
Viewer.`getEvalContextAndHoldQueue(JmolScriptEvaluator eval)`
`ScriptContext`
Viewer.`getScriptContext(String why)`
Methods in org.jmol.viewer with parameters of type ScriptContext
Modifier and Type
Method
Description
`boolean`
Viewer.`evalParallel(ScriptContext context, ShapeManager shapeManager)`